%define piname	sar_pi
%define tarversion 2.6-translation

Name:		opencpn-sar-plugin
Summary:	Search And Rescue plugin for OpenCPN
Version:	2.6
Release:	%mkrel 2
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/sar.html
Source0:	https://github.com/Rasbats/%{piname}/archive/v%{tarversion}/%{piname}-%{tarversion}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Create Search and Rescue patterns with desired parameters.

%prep
%autosetup -p1 -n %{piname}-%{tarversion}

%build
%cmake

%cmake_build

%install
%cmake_install 

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/


%changelog
* Fri Jul 23 2021 barjac <barjac> 2.6-2.mga9
+ Revision: 1737459
- fix lib path on aarch64
- set version limit on wxgtku BR
- Minor typo in %%description
- Remove stray tab at end of line
+ philippedidier <philippedidier>
- imported package opencpn-sar-plugin

